.TH AHCPD 8
.SH NAME
ahcpd \- ad-hoc configuration daemon
.SH SYNOPSIS
.B ahcpd
.IR option ...
[
.B \-\-
]
.IR interface ...
.SH DESCRIPTION
AHCP is a configuration protocol for IPv6 networks.  It is designed to
be used in place of router discovery and DHCPv6 on ad-hoc networks.
.SH OPTIONS
.TP
.BI \-m " multicast-address"
Speficy the link-local multicast address to be used by AHCP.
.TP
.BI \-p " port"
Specify the UDP port number to be used by AHCP.
.TP
.BI \-a " authority-file"
Run the daemon in authoritative mode, flooding data given in
.IR authority-file .
.I Authority-file
may be generated with
.BR ahcp-generate (8).
.TP
.BI \-e " expires"
Set the time in seconds after which non-authoritative data will expire
from the network; the network can survive in the absence of any
authoritative peers for roughly that amount of time.  The default is
3600, and can safely be increased.  This flag has no effect if
.B \-a
has not been set.
.TP
.B \-n
Participate in the flooding protocol, but don't actually perform any
configuration.
.TP
.B \-N
Do not configure DNS.
.TP
.B \-r
Do not start the routing daemon.
.TP
.BI \-c " config-script"
Use the given configuration script instead of
.BR /usr/local/bin/ahcp-config.sh .
.TP
.BI \-d " level"
Set the debug level to
.I level
(default 1).
.TP
.BI \-i " filename"
Specify the filename containing this host's unique id.  The default is
.BR /var/lib/ahcp-unique-id .
.TP
.B \-s
Do not perform stateful autoconfiguration; the autoconfiguration
process will be finished after stateless autoconfiguration is done.
.TP
.BI \-S " first last dir"
Perform the duties of a stateful AHCP server.
.I First
and
.I last
represent the bounds of the range of IPv4 addresses available; active
leases will be stored in the directory
.IR dir .
.TP
.B \-D
Daemonise at startup.
.TP
.BI \-L " logfile"
Specify a file to log random ``how do you do?'' messages to.  This
defaults to standard error if not daemonising, and to
.B /var/log/ahcpd.log
otherwise.
.TP
.BI \-I " pidfile"
Specify a file to write our process id to.
.SH FILES
.TP
.B /etc/ahcp/ahcp\-local.sh
Script that will be called after IP addresses and routing are
configured or unconfigured.  It will be passed one argument, which is
either
.B start
or
.B stop
during stateless autoconfiguration, and
.B start\-ipv4
or
.B stop-ipv4
during stateful autoconfiguration.
.TP
.B /var/lib/ahcp-unique-id
Default location of the file containing this host's unique-id.
.TP
.B /etc/ahcp/ahcp\-olsrd.conf
Additional configuration for the
.B olsrd
daemon.
.TP
.BI /etc/ahcp/ahcp\-olsrd\- hostname .conf
Host-specific additional configuration for the
.B olsrd
daemon.
.TP
.B /etc/ahcp/ahcp\-babel\-options
Additional command-line flags to pass to the
.B babel
daemon.
.TP
.B /etc/ahcp/ahcp\-babel\-interfaces
List of interfaces that participate in the
.I Babel
protocol but not in the
.I AHCP
protocol.
.TP
.B SIGUSR1
Dump ahcpd's status to standard output or to the log file.
.TP
.B SIGUSR2
Check all interfaces, then reopen the log file.
.SH SEE ALSO
.BR dhcpcd (8),
.BR dhclient (8),
.BR babel (8),
.BR olsrd (8),
.BR ahcp-generate (8),
.BR ahcp-generate-address (8),
.IR "The Ad-Hoc Configuration Protocol" .
.SH AUTHOR
Juliusz Chroboczek.
