/*
Copyright (c) 2007, 2008 by Juliusz Chroboczek

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

extern unsigned char *config_data;
extern int data_len;
extern unsigned char *stateful_servers;
extern unsigned int stateful_servers_len;
extern unsigned char ipv4_address[4];

int data_changed(unsigned char *data, int len);
int accept_data(unsigned char *data, int len, char **interfaces, int dummy);
int unaccept_data(char **interfaces, int dummy);

int
parse_stateful_data(unsigned char *data, int len, unsigned char *ipv4_return);
int accept_stateful_data(unsigned char *data, int len,
                         unsigned short lease_time, char **interfaces);
int unaccept_stateful_data(char **interfaces);
int build_stateful_data(unsigned char *buf, const unsigned char *ipv4);
